Gecode::Iter::Ranges::Singleton Class Reference
Common functionality » Range and value iterators » Range iterators

Range iterator for singleton range. More...

`#include <ranges-singleton.hpp>`

## Constructors and initialization

| Singleton (void)
| Default constructor.
| Singleton (int min, int max)
| Initialize with range min to max.
void | init (int min, int max)
| Initialize with range min to max.

## Iteration control

void | operator++ (void)
| Move iterator to next range (if possible).

## Additional Inherited Members

| MinMax (void)
| Default constructor.
| MinMax (int min, int max)
| Initialize with range min to max.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).
Protected Member Functions inherited from Gecode::Iter::Ranges::MinMax
void | finish (void)
| Set range such that iteration stops
Protected Attributes inherited from Gecode::Iter::Ranges::MinMax
int | mi
| Minimum of current range.
int | ma
| Maximum of current range.

## Detailed Description

Range iterator for singleton range.

Definition at line 42 of file ranges-singleton.hpp.

## Constructor & Destructor Documentation

## Singleton() [1/2]

Gecode::Iter::Ranges::Singleton::Singleton | ( | void |  | ) |

inline

Default constructor.

Definition at line 63 of file ranges-singleton.hpp.

## Singleton() [2/2]

Gecode::Iter::Ranges::Singleton::Singleton | ( | int | min,
|  | int | max )

inline

Initialize with range min to max.

Definition at line 66 of file ranges-singleton.hpp.

## Member Function Documentation

## init()

void Gecode::Iter::Ranges::Singleton::init | ( | int | min,
|  | int | max )

inline

Initialize with range min to max.

Definition at line 70 of file ranges-singleton.hpp.

## operator++()

void Gecode::Iter::Ranges::Singleton::operator++ | ( | void |  | ) |

inline

Move iterator to next range (if possible).

Definition at line 75 of file ranges-singleton.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/ranges-singleton.hpp